import { systemConfig } from "../config/serverConfig";
import { initTable } from "./initTable";

const mysql = require('mysql2');
//导入sequelize模块
const Sequelize = require('sequelize');

var mysqlDB;
export async function initMysqlDB() {
    mysqlDB = new Sequelize(systemConfig.dataBase,systemConfig.mysqlUser,systemConfig.mysqlPwd,{
        host:systemConfig.mysqlHost,
        port:systemConfig.mysqlPort,
        dialect:'mysql',   //数据库类型
        pool:{  //数据库连接池
            max:20,  //最大连接对象的个数
            min:5,  //最小连接对象的个数
            idle:1000  //最长等待时间，单位为毫秒
        }
    });
    //
    await initTable();
}

export { mysqlDB };